From 1eba9e73f24dce4d0ec4151abe62f2588cc7da6f Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Wed, 9 Oct 2024 19:16:27 +0700
Subject: [PATCH 08/10] mm-port-serial.c: B460800 and B921600 undefined on
 macOS

See, for example: https://github.com/fixposition/fixposition_driver/issues/29
---
 src/mm-port-serial.c | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/src/mm-port-serial.c b/src/mm-port-serial.c
index 1f4c98fe..7e040e50 100644
--- a/src/mm-port-serial.c
+++ b/src/mm-port-serial.c
@@ -49,6 +49,14 @@
 #define OLCUC 0
 #endif
 
+/* These may not be defined in termios.h */
+#ifndef B460800
+#define B460800 460800
+#endif
+#ifndef B921600
+#define B921600 921600
+#endif
+
 static gboolean port_serial_queue_process          (gpointer data);
 static void     port_serial_schedule_queue_process (MMPortSerial *self,
                                                     guint timeout_ms);
-- 
2.46.1

